Skip to main content
`Ctrl`+`K`

# DMTSSetI2Jacobian

set `TS` implicit Jacobian evaluation function for 2nd order systems from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Jacobian(DM dm, TSI2JacobianFn *jac, void *ctx)

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- jac - Jacobian evaluation routine

- ctx - context for Jacobian evaluation

## Note

`TSSetI2Jacobian()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `TSI2JacobianFn`, `TSSetI2Jacobian()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages